> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete contract clause

> Delete a contract clause from the contract library, without removing it from quotes already created.



## OpenAPI

````yaml delete /v1/contracts/clauses/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/contracts/clauses/{id}:
    delete:
      tags:
        - Contracts > Clauses
      summary: Delete contract clause
      description: >-
        Delete a contract clause from the contract library, without removing it
        from quotes already created.
      operationId: deleteContractClause
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '204':
          description: Contract clause deleted.
        '404':
          description: Contract clause not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.